--	http://www.solidfiles.com/d/*	--	http://www.solidfiles.net/d/*

function GDL(origUrl)
	logpref = script.name..'_GDL_0004'
	usd.setstatus(logpref:gsub('_GDL_',' '))
	local page, err, dirUrl

	origUrl = origUrl:gsub('%x+$','%1/')

	page = usd.get(origUrl)
	debugSaveInc(logpref..'.html', page)
	dirUrl = page:match('<a id="download%-button".-href="([^"]+)"')
		or page:match('<a class="clearfix" href="([^"]+)"')

	if not dirUrl then
		err = page:match('<h2[^>]+>(.-)<') or page:match('class="file clearfix">(.-)<')
		if err then
			usd.savetolog('Error: '..err:gsub('%s+',' '))
			return usd.setretresult('%notfound%')
		end
		return usd.setretresult('%dirUrl not found')
	end

	if dirUrl:find('^http://i%.solidfiles%.') then
		dirUrl = addNewName(dirUrl, page:match('<title>(.-) %- Solidfiles<'))
		return usd.setretresult(dirUrl, 1,1)
	end

	if not dirUrl:find('://') then
		dirUrl = getHost(usd.getlocation())..dirUrl
		usd.waittime(math.random(1,4))
		usd.relocationmode(0)
		page = usd.get(dirUrl:gsub('https://','http://'))
		debugSaveInc(logpref..'.html', page)

		dirUrl = usd.getheaders():match('Location: ([^%c]+)',2)
		if not dirUrl then return usd.setretresult('%dirUrl not found') end
	end

	usd.setretresult(dirUrl:gsub('https://','http://'), math.random(1,4),1)
	return
end

regDirSuccess( 'solidfiles.com/d/', GDL, OS )
regDirSuccess( 'solidfiles.net/d/', GDL, OS )
