
function GDL(origUrl) 	-- GetDirectLink
	logpref = script.name .. '_GDL_v01'
	usd.setstatus(script.name)
	local dirUrl, page, badpage, form, uri

	uri = URI.parse(origUrl)

	page = usd.get(origUrl)
	debugSaveInc(logpref..'.html', page)

	script.tmp={}
	usd.waittime(2, 2)

	page = usd.get(page:match('href="([^"]+)"[^>]+><img src="[^"]-/slow_download.png"'))
	debugSaveInc(logpref..'.html', page)

	local wait = page:match('var%s+time_left%s*=%s*(%d+)')
	usd.waittime(wait+2, 2)

	form = page:match( '<form method="post">.-</form>' )
	local key = form:match('/challenge%?k=([^"]+)')
	form = Form.parse(form)
	form.action = URI.combine(usd.getlocation(), form.action)()

	form.inputs.recaptcha_response_field
		, _, form.inputs.recaptcha_challenge_field
			= queryReCaptcha(key, 0, nil, nil, nil, true)

	usd.setretresult(form.action, 0, 0, form:getinputs() )	-- no resume
	return
end

--function OS(origUrl, dirUrl, fullName)
--	logpref = script.name .. '_OS'
--	return usd.setretresult(fileRename(fullName, script.tmp.newName))
--end

--<div id="error_note">Maximum number of FREE downloads per hour exceeded, try again after (56) Minutes OR <a href="http://www.filesin.com/premium.html">Upgrade to premium NOW!</a>.</div>

function OC(dirUrl, fullName, headers, currStatus)
	if headers:find('Content-Type: text/html',1,true) then
		local page = fileRead(fullName)
		--fileRename(fullName, 'filesin_com.html')
		local err = page:match('<div id="error_note">(.-)</div>'):gsub('<[^>]+>',' ')
		usd.savetolog(err)
		usd.setstatus(err)
		usd.setretresult(1)
	end
end

regDirSuccess( 'filesin.com/', GDL, OS)
regCheckError( 'filesin.com/', OC)
