
function GDL(origUrl) 	-- GetDirectLink
	logpref = script.name .. '_GDL_v01'
	usd.setstatus(script.name)
	local dirUrl, page, badpage, form, uri

	local codec_a = {"Y", "W", "y", "z", "p", "n", "x", "M", "u", "9", "0", "L", "t", "w", "k", "2", "G", "U", "Q", "B", "s", "V", "8", "1", "g", "="}
	local codec_b = {"D", "d", "a", "f", "4", "b", "I", "7", "i", "6", "X", "e", "R", "N", "Z", "3", "T", "o", "J", "c", "H", "m", "l", "v", "5", "E"}
	local recode = {}
	for i=1, #codec_a do
		recode[codec_a[i]] = codec_b[i]
		recode[codec_b[i]] = codec_a[i]
	end
	local function b64d(str) return base64.dec(str:gsub('.',recode)) end

	page = usd.get(origUrl)
	debugSaveInc(logpref..'.html', page)

	script.tmp={}

	dirUrl = page:match('var%s+flashvars%s*=%s*{.-file:%s*[\'"]([^\'"]+)')
	dirUrl = b64d(dirUrl)

	local newName = page:match('<meta property="og:title" content="([^"]+)" />')
	newName = utf8ToAnsi(newName)

	dirUrl = addNewName(dirUrl, newName)

	usd.setretresult(dirUrl, math.random(2,4), 1)
	return
end

--function OS(origUrl, dirUrl, fullName)
--	logpref = script.name .. '_OS'
--	return usd.setretresult(fileRename(fullName, script.tmp.newName))
--end


regDirSuccess( '//kinostok.tv/video/', GDL, OS)
