
function GDL(origUrl)
    local logpref = 'sendspace_com_GDL_v04'

	script.tmp={}

    origUrl = origUrl:match('^([^#]+)')
    usd.setreferer(origUrl)

	local page = usd.get(origUrl)
  	debugSaveInc(logpref..'.html', page)

  	if page:find('/captchas/captcha.php') then
  		usd.waittime(3,3)
  		page = usd.get(origUrl)
	  	debugSaveInc(logpref..'.html', page)
  	end

  	local l = usd.getlocation()
  	for i in page:gmatch('<iframe[^>]-src="([^"]+)"') do
  		usd.setreferer(l)
	  	debugSaveInc(logpref..'.html', usd.get(URI.combine(l,i)()))
  	end

  	script.tmp.newName = utf8ToAnsi(page:match('<div class="info">%s*<h2 class="bgray"><b>([^<]+)'))

  	local dirUrl = page:match('href="(https?://[^%.]+%.sendspace%.com/dl/[^"]+)"'):gsub('^https:','http:')

   	local err = page:match('<div class="msg error" style="cursor: default">([^<]+)</div>')
  	if err then
  		usd.savetolog(err)
	  	usd.setretresult('%notfound%')
  		return
  	elseif not dirUrl then
		return usd.setretresult('%plugindefect')
  	end

	usd.setretresult(dirUrl, math.random(4,8), 1)

	return

end

function OS(origUrl, dirUrl, fullName)
	logpref = script.name .. '_OS'
	return usd.setretresult(fileRename(fullName, script.tmp.newName))
end

regDirSuccess('sendspace.com/file/', GDL, OS)
