
function GDL(origUrl) 	-- GetDirectLink
	usd.setstatus(script.name)
	logpref = script.name .. '_GDL_v07'
	local page = usd.get(origUrl)
	debugSaveInc(logpref..'.html', page)

	if page:find('The file link that you requested is not valid') then
		return usd.setretresult('%notfound%')
	end

--<div class="triangle-border">
--  Your free download limit is over.
--</div>
--</div>
--
--
--<div style="position:relative;">
--<div class="triangle-border">
-- We are sorry, but your download request can not be processed right now. Our servers are overloaded at the current moment. Please try again in non-business hours 4:00 to 14:00 GMT or
-- wait <span>45 minutes</span>.
--</div>
	local err = page:find('<div class="triangle%-border">[^<]-(Our servers are overloaded at the current moment)')
	if err then return usd.setretresult('%'..err) end


	local wait = page:match('var waitSeconds = (%d+);')
	--if not wait then
	--	wait = page:match('<div class="triangle-border">[^<]-wait <span>(%d+) minutes</span>')
	--	if wait then wait = wait*60 end
	--end
	if wait then
		usd.setretresult('%Server report: You need wait ' .. wait .. ' seconds')
		return
	end

	local dirUrl = page:match('http://dc%d+%.2shared%.com/download/[%w_-]+/[%w=_.?-]+')

	local tmp = usd.head(dirUrl)
	debugSaveInc(logpref..'.html', tmp)
	if not tmp:find('Content-Disposition:',1,true) then 					-- timeout
		tmp = usd.head(dirUrl)
		debugSaveInc(logpref..'.html', tmp)
		if tmp:find('Content%-Type: text/html;charset=UTF%-8') then
			page = usd.get(usd.getlocation())
			debugSaveInc(logpref..'.html', page)
			local wait = page:match('var waitSeconds = (%d+);')
			if wait then
				usd.setretresult('%Server report: You need wait ' .. wait .. ' seconds')
				return
			end
			local err = page:match('<div class="bodysm">%s*<img[^>]+>%s*([^<]+)</div>') or usd.getlocation():match('/(linkerror)%.')
			if err then
				err = err:gsub('%s+', ' ')
				usd.setretresult('%'..err)
				return
			end
		elseif not tmp:find('Content-Disposition:',1,true) then
			usd.setretresult('%Timeout?')
			return
		end
	end

  	if not dirUrl then return usd.setretresult('%plugindefect') end

	usd.setretresult(dirUrl,math.random(3,6),1)
	return
end

--regDirSuccess( '.2shared.com/file/', GDL, OS)
-- file, video
regDirSuccess( '.2shared.com/', GDL, OS)

--[[
<!--
  cause=12116 checkIfFileBanned banCode=105 sf == null || SharedFileImpl.wasDeleted(sf.getFileEntity())
  ip=1.2.3.4
  -->
]]
