
function GDL(origUrl)
	usd.setstatus(script.name)
	local logpref = script.name..'_GDL_v09'
	local dirUrl, page, badpage, form

	--USD -   : df="";sd="";afu="";afp="";adu="";adp="";asl="";chf="";dirPwdVerified=""
	--local function fixCookie() usd.setcookie( (usd.getcookie():gsub(';(%S)', '; %1'):gsub('WWW Login=','Login=')) ) end
	local function fixCookie() usd.setcookie( (usd.getcookie():gsub('WWW_JSESSIONID="";',''):gsub('WWW[%s_]',''):gsub(';+(%S)', '; %1')) ) end

	if script.cookie then
		usd.setcookie(script.cookie, 1)
	else
		usd.get('http://0.0.0.0/headers')
		usd.setreferer('')
		usd.setcookie('4langcookie=en')

		local a = Accounts['4shared.com']
		if not a then
			usd.setretresult('%Need account')
			return
		end

		--page = usd.get('http://www.4shared.com/login?login='..a[1].login..'&password='..a[1].password)
		page = usd.get('https://www.4shared.com/web/login/validate?login='..a[1].login..'&password='..a[1].password)
		debugSaveInc(logpref..'.html', page, 'login 1')
		fixCookie()

		local data = parseJsObject(page)
		if not data.success then
			usd.setretresult('%'..utf8ToAnsi(data.errorMessage or '<login error>'))
			return
		end

		local data = {login=a[1].login, password=a[1].password, returnTo=origUrl, remember='on', _remember='on'}
		page = usd.post('https://www.4shared.com/web/login', tableConcat(data, '=','&',escapeUC))
		debugSaveInc(logpref..'.html', page, 'login 2')
		fixCookie()

		usd.waittime(2,2)
	end

	page = usd.get(origUrl)
	debugSaveInc(logpref..'.html', page)

--var currentDirId = '2TnA4YpU';
--var currentDirId = "2TnA4YpU";
	local folder = page:match('var%s+currentDirId%s*=%s*[\'"](.-)[\'"]')
	if folder then
		page = usd.post('http://www.4shared.com/web/accountActions/changeDir', '%simple%dirId='..folder)
		local data = parseJsObject(page)
		debugSaveInc(logpref..'_folder.html', page, serialize(data or {},nil,true))
		for k,v in ipairs(data.info.files) do
			usd.addquery( ('http://www.4shared.com/file/%s/%s_%0.2fMb'):format(
				v.id
				, filterName(utf8ToAnsi(entityDecode((v.name))):gsub('<wbr/>',''):gsub('%s+','_'):gsub('[\'"]',''))
				, (v.size or 0)/1024/1024
			))
		end
		usd.setretresult('%done%')
		return
	end

	local wait = page:match("id='downloadDelayTimeSec'[^>]->(%d+)<") or 5
	wait = math.max(wait,20)
	dirUrl = page:match('href="(http://dc%d+%.4shared%.com/download/[^"]+)" class="downloadButton"')

	if dirUrl then
		usd.waittime(wait+2, 2)
		usd.setretresult(dirUrl, 1, 1)
		script.cookie = usd.getcookie()
		return
	end

	if page:find('</html>') and not page:find('jsDownloadButton',1,true) then
		usd.setretresult('%notfound%')
		return
	end

	usd.waittime(2,2)

	page = usd.get(page:match('href="(http://www.4shared.com/get/[^"]+)" class="jsDownloadButton'))
	debugSaveInc(logpref..'.html', page)

	local wait = page:match('class="downButtonPromoCounter">(%d+)<')
	wait = math.max(20, tonumber(wait) or 0)

	dirUrl = page:match('id="baseDownloadLink" value="(http://dc%d+%.4shared%.com/download/[^"]+)"')

	if not dirUrl or dirUrl:find('/4shared_Desktop_',1,true) then return usd.setretresult('%plugindefect') end

	usd.waittime(wait+2,2)

	script.cookie = usd.getcookie()

	usd.setretresult(dirUrl, 1, 1)

	return

end

--regDirSuccess('.4shared.com/file/', GDL)
--regDirSuccess('.4shared.com/audio/', GDL)
-- /zip/
regDirSuccess('.4shared.com/', GDL)
