--	http://www.fayloobmennik.net/*

function GDL(origUrl)
	logpref = script.name..'_GDL_0004'
	usd.setstatus(logpref:gsub('_GDL_',' '))
	local page, badpage, form, err, dirUrl

	page, badpage = tryDl(origUrl, nil,nil, '</[Hh][Tt][Mm][Ll]>')
	debugSaveInc(logpref..'.html', page or badpage)
	if badpage then return usd.setretresult('%Bad page') end
	if page:find('>  !<',1, true) then
		return usd.setretresult('%notfound%')
	end

	form = page:match('<FORM method="POST">.-</FORM>')
	if form then
		form = Form.parse(form)
		form.inputs.file_user_password = origUrl:match("://([^@/]-)@")
		if not form.inputs.file_user_password then
			local default = usd.getoption(script.name,'Default', '')
			local dlg = Dialog.new( {
				{ ' :   '..origUrl }
				, { ' :', {name='password', type='password', default} }
				}, script.name)
			form.inputs.file_user_password = dlg:show():match("password=(.-)\n")
		end
		if origUrl:find('@') then usd.waittime(math.random(3,9)) end
		page = form:submit()
		debugSaveInc(logpref..'.html', page)
	end

	local redirect = page:match('function redirect(.-) onclick="redirect')
	if not redirect then
		err = page:match('<p>([^<]+)</p><div class="block_download_o"')
		if err then return usd.setretresult('%'..err) end
		return usd.setretresult('%redirect not found')
	end
	redirect = string.gsub(redirect,'\\','')
	dirUrl = 'http://www.fayloobmennik.net'..redirect:match('<A href="([^"]+)"')
	dirUrl = addNewName(dirUrl, page:match('<h3><[^>]+>([^<]+)</h3>'))

	usd.waittime(math.random(1,4))
	usd.relocationmode(0)
	page = usd.get(dirUrl)
	debugSaveInc(logpref..'.html', page)
	dirUrl = usd.getheaders():match('Location: ([^%c]+)', 2)
	if not dirUrl then return usd.setretresult('%dirUrl not found') end
	usd.setretresult(dirUrl, 0,1)
	return
end

regDirSuccess( 'fayloobmennik.net/', GDL, OS )

