--	http://file.karelia.ru/*

function GDL(origUrl)
	logpref = script.name..'_GDL_0003'
	usd.setstatus(logpref:gsub('_GDL_',' '))
	local page, err, dirUrl

function getNewName(str)
	newName = str:match('/([^/]+)%?force$') or str:match('/([^/]+)$')
	newName = utf8ToAnsi(unescape(newName))
end

	if origUrl:match('://st%d+\.') then
		page = usd.head(origUrl)
		debugSaveInc(logpref..'.html', page)
		if usd.getlocation():match('://st%d+\.') then
			getNewName(origUrl)
			usd.setretresult(origUrl, math.random(4,7),1)
			return
		else
			return usd.setretresult('%notfound%')
		end
	end

	page = usd.get(origUrl)
	debugSaveInc(logpref..'.html', page)
	err = page:match('class="errorpage">(.-)<')
	if err then
		usd.savetolog(utf8ToAnsi('Error: '..err))
		return usd.setretresult('%notfound%')
	end

	if page:find('id="totalFiles">1<',1, true) then
		dirUrl = page:match('href="([^"]+)" class="file%-download"')
		if not dirUrl then return usd.setretresult('%dirUrl not found') end
		getNewName(dirUrl)
		usd.setretresult(dirUrl, math.random(1,7),1)
		return
	end

	if page:match('id="totalFiles">(%d+)<') > '1' then
		page:gsub('href="([^"]+)"[^>]+>\n%s+<span class="filename[^"]+">([^<]+)</span><i>&mdash;([^<]+)</i>'
		, function(link, name, size)
			usd.savetolog(utf8ToAnsi(' + '..name..size:gsub('&nbsp;',' ')))
			usd.savetolog(link); usd.addquery(link..'?force')
		end)
		return usd.setretresult('%done%')
	else
		return usd.setretresult('%Empty folder?')
	end

end

function OS(origUrl, dirUrl, fullName)
	return usd.setretresult(fileRename(fullName, newName))
end

regDirSuccess( 'file.karelia.ru/', GDL, OS )
regDirSuccess( 'file.sampo.ru/', GDL, OS )
