--	http://mir.cr/*
--	http://www.mirrorcreator.com/*

function GDL(origUrl)
	logpref = script.name..'_GDL_0010'
	usd.setstatus(logpref:gsub('_GDL_',' '))
	local page, err, link, dirUrl
	script.tmp = {}

	local stat
	local id = origUrl:match('[0-9A-Z]+')
	if id then
		page = usd.get('http://mir.cr/'..id)
		debugSaveInc(logpref..'.html', page)
		stat = page:match('\n%s*ajaxRequest%.open%("GET", "([^"]+)", true')
		if not stat then return usd.setretresult('%stat not found') end
		stat = 'http://www.mirrorcreator.com'..stat
	end
	page, err = tryDl(stat, nil,nil, '<th>Upload status</th>')
	debugSaveInc(logpref..'.html', page or err)
	if not page then return usd.setretresult('%Upload status not found') end

	stat = page
	local mirrors = {}
	local redirecturl
	for m, l in stat:gmatch('alt="([^"]+)" ></td><td class="dl_link"><a href="([^"]+)"') do
		usd.waittime(math.random(1,7))
		page = usd.get(l)
		--debugSaveInc(logpref..'.html', page)
		redirecturl = page:match('class="highlight redirecturl">(http://[^/]+/[^%c<]+)%c?<')
		if redirecturl then
			usd.savetolog(' * '..m)
			usd.savetolog(redirecturl)
			m = m:lower()
			mirrors[m] = redirecturl
		end
	end
	usd.savetolog('mirrors = '..serialize(mirrors))

	if not script.tmp.sites then
		--	       .      USDownloader.ini \ [Plugin_mirrorcreator_com] \ Sites = ...
		script.tmp.sites = usd.getoption(script.name,'Sites', 'RGhost, SendSpace, ShareBeast, SendMyWay, SockShare, SolidFiles, OneFichier, PutLocker, QueenShare, RapidShare, BayFiles, CyberLocker, DepositFiles, GameFront, HipFile, FileApe, JumboFiles, Loadto, MediaFire, Minus, UploadBox, Ziddu, ZShare')
		script.tmp.sites = script.tmp.sites:lower():gsub(' ','')
	end
	usd.savetolog('sites = '..script.tmp.sites)

	for m in script.tmp.sites:gmatch('[^, ]+') do
		script.tmp.sites = script.tmp.sites:match(m..',*([%w,]+)') or ''
		local mirr = {}
		table.insert(mirr, mirrors[m])
		local status, err, unsupported = getMirror(mirr)
		if err then mirrors[m] = nil end
		if status then return end
	end

	for m, l in pairs (mirrors) do
		if not link then link = l end
	end
	if not link then return usd.setretresult('%link not found') end

	usd.savetolog('Change link: '..link)
	usd.modquery(link)
	return usd.setretresult('%New link')
end

regDirSuccess( '//mir.cr/', GDL, OS)
regDirSuccess( 'mirrorcreator.com/', GDL, OS)

