--	http://rghost.ru/*	http://rghost.net/*

function GDL(origUrl)
	usd.setstatus(script.name)
	logpref = script.name..'_GDL_0010'
	usd.savetolog(': '..logpref:gsub('_GDL_',' '))
	local page, badpage, err, form, dirUrl
	script.tmp={}

	page, badpage = tryDl(origUrl, nil,nil, '</head>')
	if badpage then
		usd.get('http://google.com/none')
		page, badpage = tryDl(origUrl, nil,nil, '</head>')
	end
	debugSaveInc(logpref..'.html', page or badpage)
	page = utf8ToAnsi(page)

	form = page:match("id=['\"]password_field['\"]>.-(<form .-</form>)")
	if form then
		form = Form.parse(form)
		form.inputs.password = origUrl:match("://([^@/]-)@")
		if not form.inputs.password then
			local default = usd.getoption(script.name,'Default', '')
			local dlg = Dialog.new( {
				{ ' :   '..origUrl }
				, { ' :', {name='password', type='password', default} }
				}, script.name)
			form.inputs.password = dlg:show():match("password=(.-)\010")
		end
		usd.setcookie(usd.getcookie() ..'\r\n'.. 'X-Requested-With: XMLHttpRequest', 1)
		page = usd.post('http://'..getHost(origUrl)..'/'..form.action, '%simple%authenticity_token='..form.inputs.authenticity_token..'\npassword='..plg.recode(CP_ACP, CP_UTF8, form.inputs.password)..'\ncommit='..form.submits.commit)
		debugSaveInc(logpref..'.html', page)
	end

	dirUrl = page:match('<a href=\\?"([^\\"]+)\\?" class=\\?"btn large download')
	if not dirUrl then
		if page:find("'deleted',",1, true) then return usd.setretresult('%deleted%') end
		err = page:match("class='error'(.-)</div>")
		if err then
			return usd.setretresult('%Error: '..err:match('<h1>(.-)<')..' '..err:match('<p>(.-)<'))
		end
		local help = page:match("class=\\'help%-block\\'>(.-)<\\/p>")
		if help then return usd.setretresult('%'..help:gsub('\\n',' ')) end
		return usd.setretresult('%dirUrl not found')
	end

	script.tmp.newName = page:match('rel="nofollow" title="[^>]+>(.-)<')

	if not dirUrl:find('://rghost.',1, true) then dirUrl = 'http://'..getHost(origUrl)..'/'..dirUrl end
	usd.waittime(math.random(1,4))
	usd.relocationmode(0)
	local hdr = 'Range: bytes=0-255'
	setHeader(hdr)
	page = usd.get(dirUrl)
	debugSaveInc(logpref..'.html', page)
	setHeader(hdr, true)
	dirUrl = usd.getheaders():match('Location: ([^%c]+)', 2) or dirUrl
	dirUrl = utf8ToAnsi(unescape(dirUrl))
	return usd.setretresult(dirUrl, 0,1)
end

function OS(origUrl, dirUrl, fullName)
	usd.waittime(2)
	return usd.setretresult(fileRename(fullName, script.tmp.newName))
end

regDirSuccess( {'//rghost.ru/', '//rghost.net/'}, GDL, OS)
regDirSuccess( {'@rghost.ru/', '@rghost.net/'}, GDL, OS)

