
function GDL(origUrl) 	-- GetDirectLink
	usd.setstatus('')
	logpref = script.name .. '_GDL_v06'
	local dirUrl, page, form

	if origUrl:find('^http://[^/]+/folder/') then
	    logpref = logpref .. '_folder'
		local page = usd.get(origUrl)
		debugSaveInc(logpref..'.html', page)
		for url in page:gmatch('<a class="dl" href="([^"]+)"') do
			usd.addquery(url)
		end
		usd.setretresult('%done%')
		return
	end

	function request(section,subsection,params)
		local url = ('http://filepost.com/%s/%s/?SID=%s&JsHttpRequest=%s'):format(
			section
			, subsection
			, usd.getcookie():match('SID=(.-);')
			, os.time() .. math.random(100,999) .. counters.filepost .. '-xml'
		)
		local data = {}
		for k, v in pairs(params) do
			table.insert(data, Form.escape(nil, k) ..'='.. Form.escape(nil, v))
		end
		data = '%simple%'..table.concat(data,'\010')
		--setXHR()
		local r = usd.post(url, data)
		--setXHR(true)
		return r
	end

	local uri = URI.parse(origUrl)
	origUrl = uri()

	local page = usd.get(origUrl)
	debugSaveInc(logpref..'.html', page)

	if page:match('file_info_deleted') or page:find('<li><span>The file owner has limited free downloads') then
		return usd.setretresult('%notfound%')
	end

	local err = page:match('<li><span>(We are sorry, the server where this file is located is currently unavailable)')
	if err then return usd.setretresult('%'..err) end


	local token = page:match("set_store_options%({token: '([^']+)'")



	--debugSaveInc(logpref..'.html', request('files','checker',{urls=origUrl}))

	local code = usd.getlocation():match('^[^/]+//[^/]+/files/([^/]+)')
	local setdown = request('files', 'get', {action = 'set_download', code = code})
	debugSaveInc(logpref..'.html', setdown)
	setdown = parseJsObject(setdown)

	usd.waittime(setdown.js.answer.wait_time+3, 3)

	local password, data
	if page:find('var is_pass_exists = true;') then
		password = uri.userinfo or prompt('Password for '..origUrl)
		if not password or password == '' then
			usd.setretresult('%Need password for download! Enter it to link: http://PaSsWoRd@')
			return
		end

		local passcheck = request('files', 'get', {code = code, file_pass = password})
		debugSaveInc(logpref..'.html', passcheck)
		data = parseJsObject(passcheck)
		if data.js.error then
			usd.setretresult('%'..data.js.error)
			return
		end
		usd.setretresult(data.js.answer.link, math.random(3,3), 1)
		return
	end

	local key = page:match("%skey:%s*'(.-)',") or '6Leu6cMSAAAAAFOynB3meLLnc9-JYi-4l94A6cIE'
	local inputs = {code=code, file_pass = ''}
	inputs.recaptcha_response_field
		, _, inputs.recaptcha_challenge_field
			= queryReCaptcha(key, 0, nil, nil, nil, true)

	counters.set('filepost',0)
	page = request('files', 'get', inputs)

	debugSaveInc(logpref..'.html', page)
	local data = parseJsObject(page)
	if data.js.error then
		usd.setretresult('%'..data.js.error)
		return
	end

	usd.setretresult(data.js.answer.link, math.random(3,3), 1)

end

regDirSuccess('//filepost.com/f', GDL)	-- files, folder
regDirSuccess('@filepost.com/f', GDL)	-- files, folder
regDirSuccess('//fp.io/', GDL)
