
function GDL(origUrl) 	-- GetDirectLink
	logpref = script.name .. '_GDL_v01'
	usd.setstatus(script.name)
	local page, badpage, dirUrl

	page = usd.get(origUrl)
	debugSaveInc(logpref..'.html', page)

	if page:find('<title>File Does Not Exist') then return usd.setretresult('%notfound%') end

	script.tmp={}
	script.tmp.newName = utf8ToAnsi(page:match('<div class="external_title_left">([^<]+)</div>'))

	usd.waittime(3, 3)

	local form = page:match( '<form[^>]-id="confirm_form".-</form>' )
	form = Form.parse(form)
	page = form:submit()
	debugSaveInc(logpref..'.html', page)

	usd.waittime(4, 4)

	dirUrl = page:match('http://dl%.firedrive%.com/%?key=[^\'"\s]+')
	debugSaveInc(logpref..'.html', usd.head(dirUrl))

	usd.setretresult(usd.getlocation(), 1, 1)
	return
end

function OS(origUrl, dirUrl, fullName)
	logpref = script.name .. '_OS'
	return usd.setretresult(fileRename(fullName, script.tmp.newName))
end

regDirSuccess( '.putlocker.com/', GDL, OS)
regDirSuccess( '.firedrive.com/', GDL, OS)
