
function GDL(origUrl) 	-- GetDirectLink
	logpref = script.name .. '_GDL_v99'
	--     html, script.name -       
    usd.setstatus('')

	local page = usd.get(origUrl)
	--         page
  	debugSaveInc(logpref..'.html', page)
  	--    ,     .

	newName = page:match('<meta name="keywords" content="(.-)">')
	--    

	if not newName then
 		usd.setretresult('%notfound%')
 		return
 	end

	page = usd.get(origUrl)
  	debugSaveInc(logpref..'.html', page)

	local wait = string.match(page,'<span id="down_interval[^>]+>(%d+)</span>')
	--      

	if wait then
		wait = tonumber(wait)*60
		if wait > 60 then
			usd.setretresult('%Server report: You need wait ' .. wait .. ' seconds')
			--  USD ,   "%" -   
			return
		end
		usd.waittime(wait+math.random(1,3))
	end

	wait = string.match(page,'<span id=wait_span[^>]+>(%d+)</span>')
	--     

	if not wait then
		--   ,   ...

		usd.setretresult('%plugindefect')
		return
	end

	local tempUrl = page:match('<a id="downpage_link" href="(.-)" style=')

	page = usd.get(tempUrl)
	debugSaveInc(logpref..'.html', page)

	wait = tonumber(wait)
	usd.waittime(wait+math.random(1,3))

	local form = page:match('<form class="tform" id="down_from".-</form>') 
	form=Form.parse(form) 

	usd.setretresult(form.action, math.random(2,4), 0, '%simple%' .. form:getinputs())  
	--  USD  ,       .
	return
end


--  
function OS(origUrl, dirUrl, fullName)
	newName = fileRename(fullName, newName)
	-- fileRename       / 

	usd.setretresult(newName)
	return
end


regDirSuccess('//yunfile.com/', GDL, OS)
regDirSuccess('filemarkets.com/file/', GDL, OS)
regDirSuccess('//yfdisk.com/file/', GDL, OS)
 
--     '//yunfile.com/' 
--     -  GDL - 
-- ,      - OS

