
function GDL(origUrl) 	-- GetDirectLink
	logpref = script.name .. '_GDL_v02'
	usd.setstatus(script.name)
	local page = usd.get(origUrl)
	debugSaveInc(logpref..'.html', page)

	usd.waittime(2, 2)

	local files = {}
	for n, s, u in page:gmatch('<td width="65%%"><font size=1>([^>]+)<.-<font size=1>([^>]+)<.-href="([^>"]+)"') do
		files[n] = files[n] or { orig=origUrl, name = n, size = s, mirrors={} }
		page = usd.get(u)
		debugSaveInc(logpref..'.html', page)

		local pform = 'html%(\'(<FORM.-</FORM>)'
		local form = page:match(pform)
		if form then
			for i=1, captchaAttempts do
				form = page:match('html%(\'(<FORM.-</FORM>)')
				if not form then break end
				local wait = page:match('<span id="counter">(%d+)</span>')
				if wait then usd.waittime(wait, 2) end
				local captcha = form:match('<img src="(/gkod[^"]+)"')
				form = Form.parse(form)
				form.action = u
				form.inputs.gcode = queryCaptcha(captcha)
				page = form:submit()
				debugSaveInc(logpref..'.html', page)
			end
			if page:find(pform) then
				usd.setretresult('%Bad captcha?')
				return
			end
		end

		--local wait = page:match('<span id="counter">(%d+)</span>')
		--if wait then usd.waittime(wait, 2) end

		local url = page:match('<B>Your Download Link:</B><BR><a href="([^"]+)"')
		if url then table.insert(files[n].mirrors, url) end
	end

	for _, f in pairs(files) do
		local m, d = serializeMirrors(f)
		usd.addquery(d)
	end

	usd.setretresult('%done%')
	return
end

--function OS(origUrl, dirUrl, fullName)
--	logpref = script.name .. '_OS'
--	return usd.setretresult(fileRename(fullName, newName))
--end


regDirSuccess( 'load2all.com/files/', GDL, OS)
