--GDL

function GDL(origUrl)

--   rememberMirrors()

	usd.setstatus(script.name)

	script.tmp={}

	logpref = script.name .. '_GDL_v02'
	usd.savetolog(logpref)

	local conf = Settings and Settings[script.name]
	if not conf then
		conf = { interactive = false }
	end

	local _ = origUrl:match('<~.-~>')
	if not _ then
		_ = 'no encoded data'
		usd.setretresult('%'.._)
		error(_)
	end

	local data = ascii85.decode(_:gsub('v',"'"):gsub('w','"'))
	data = zlib.decompress(data)
	debugLog(data)	-- {orig = origUrl, mirrors = mirrors}

	_, data = deserialize(data)
	if not _ then
		usd.setretresult('%'..'deserialize() error')
		error(data)
	end

	local status, _ = getMirror(data.mirrors, conf.preferred, conf.interactive, { {'Name: '..(data.name or 'noname')}, {'Size: '..(data.size or 'nosize')} } )
	if status then
		script.tmp.mirror = _
		script.tmp.data = data
	end


end

function OS(origUrl, dirUrl, fullName)

	local conf = Settings and Settings[script.name] or {}

	if not (script.tmp and script.tmp.mirror) then return end

	if conf.restoreOriginalUrl and script.tmp.data.orig then
		usd.modquery(script.tmp.data.orig)
		usd.waittime( Settings['<misc>'].modqueryPause )
	end

	local OShandler, h = getHandler(plg.tOnSuccess, script.tmp.mirror)
	if OShandler then
		if h then debugLog('substring: '..h) end
		OShandler(script.tmp.mirror, dirUrl, fullName)
		return
	end
	debugLog(script.name .. '.lua: PlgOnSuccess handler not found')
end


regDirSuccess( 'ftp://m/', GDL, OS)
