
function GDL(origUrl) 	-- GetDirectLink

--[[
usdLua_settings.lua:

Settings['mirrorstack_com'] = { interactive = false, remember = false  }

interactive -    
remember -  ,  m.lua

]]

	local conf = Settings and Settings[script.name]
	if not conf then
		conf = { interactive = false, remember = false }
	end

	logpref = script.name .. '_GDL_v01'
	usd.setstatus(script.name)
	local dirUrl
	local page = usd.get(origUrl)
	debugSaveInc(logpref..'.html', page)

	local name, size = page:match('"main_form1".-<a[^>]+>%s*(.-)%s*</a>%s*<span class="filesize">%(<b>Size:</b> (.-)%)</span>')

	script.tmp={}
	usd.waittime(2, 2)

	local mirrors = {}
	usd.relocationmode(0)
	for m in page:gmatch('"urlPath".-<a href=\'(.-)\'') do
		usd.setreferer('http://mirrorstack.com/?q=r_counter')
		page = usd.get(m)
		debugSaveInc(logpref..'.html', page)
		m = usd.getheaders():match('%sLocation: ([^\r\n]+)')
		table.insert(mirrors, m)
	end

--plg.msg(serialize(mirrors,nil,true))

	if conf.remember then
		local data = {orig = origUrl, mirrors=mirrors, name=name, size=size}
		local mHandler, data = serializeMirrors(data)
		if mHandler then
			usd.modquery(data)
			mHandler(data)
			return
		end
	end

	local info = { {'Name: '..name}, {'Size: '..size} }
	local status, _ = getMirror(mirrors, conf.preferred, conf.interactive, info)
	if status then
		script.tmp.mirror = _
	end


end

function OS(origUrl, dirUrl, fullName)
	if not (script.tmp and script.tmp.mirror) then
		return
	end
	local OShandler, h = getHandler(plg.tOnSuccess, script.tmp.mirror)
	if OShandler then
		if h then debugLog('substring: '..h) end
		OShandler(script.tmp.mirror, dirUrl, fullName)
		return
	end
	debugLog(script.name .. '.lua: PlgOnSuccess handler not found')
end


regDirSuccess( '//mirrorstack.com/', GDL, OS)
