
function GDL(origUrl) 	-- GetDirectLink
	logpref = script.name .. '_GDL_v02'
	usd.setstatus(script.name)

	local conf = Settings and Settings[script.name]
		or { interactive = false, remember = false }

	local page = usd.get(origUrl:match('([^#]+)'))
	debugSaveInc(logpref..'.html', page)

	script.tmp={}
	usd.waittime(2,2)


	local form = page:match('<form name="form_upload".-</form>')
	form = Form.parse(form)
	if form.action == '' then form.action = origUrl end
	if form.inputs.captcha then
		form.inputs.captcha = queryCaptcha('http://www.mirrorupload.net/images/captcha/captcha.php')
	end
	page = form:submit()
	debugSaveInc(logpref..'.html', page)

	if page:find('"Validate the captcha"') then
		usd.setretresult('%Bad captcha?')
		return
	end

-----------------
	local name, size = page:match( '<div id="corps".-<h1>([^<]-) %(([%d.]+ %w+)%)</h1>' )

	local mirrors = {}
-----------------
	for url in page:gmatch( '<b>(https?://[^<]-)</b>' ) do
		debugSaveInc(logpref..'.html', usd.head(url))
		table.insert(mirrors, usd.getlocation())
	end

	if conf.remember then
		local data = {orig = origUrl, mirrors=mirrors, name=name, size=size}
		local mHandler, data = serializeMirrors(data)
		if mHandler then
			usd.modquery(data)
			mHandler(data)
			return
		end
	end

	local info = { {'Name: '..name}, {'Size: '..size} }
	local status, _ = getMirror(mirrors, conf.preferred, conf.interactive, info)
	if status then
		script.tmp.mirror = _
	end

	return
end

function OS(origUrl, dirUrl, fullName)
	if not (script.tmp and script.tmp.mirror) then
		return
	end
	local OShandler, h = getHandler(plg.tOnSuccess, script.tmp.mirror)
	if OShandler then
		if h then debugLog('substring: '..h) end
		OShandler(script.tmp.mirror, dirUrl, fullName)
		return
	end
	debugLog(script.name .. '.lua: PlgOnSuccess handler not found')
end

regDirSuccess( 'mirrorupload.net/file/', GDL, OS)
