
function GDL(origUrl) 	-- GetDirectLink
	logpref = script.name .. '_GDL_v02'
	usd.setstatus(script.name)
	local dirUrl
	local page = usd.get(origUrl)
	debugSaveInc(logpref..'.html', page)

	script.tmp={}

	dirUrl = page:match('href="(http://www%d*.multiupload.nl:?%d*/files/[^"]+)"')
	if dirUrl then
		usd.setretresult(dirUrl, math.random(2,4), 1)
		return
	end


	local mirrors = {}
	for u in page:gmatch('id="url_%d+"><a href="([^"]+)"') do
		usd.head(u)
		debugSaveInc(logpref..'.html', '')
		table.insert(mirrors, usd.getlocation())
	end

	local status, mirror = getMirror(mirrors)
	if status then
		script.tmp.mirror = mirror
	end

	return
end

function OS(origUrl, dirUrl, fullName)
	if not (script.tmp and script.tmp.mirror) then
		return
	end
	local OShandler, h = getHandler(plg.tOnSuccess, script.tmp.mirror)
	if OShandler then
		if h then debugLog('substring: '..h) end
		OShandler(script.tmp.mirror, dirUrl, fullName)
		return
	end
	debugLog(script.name .. '.lua: PlgOnSuccess handler not found')
end


regDirSuccess( '//multiupload.nl/', GDL, OS)
regDirSuccess( '.multiupload.nl/', GDL, OS)
regDirSuccess( '//multiupload.com/', GDL, OS)
regDirSuccess( '.multiupload.com/', GDL, OS)
