
function GDL(origUrl) 	-- GetDirectLink
	logpref = script.name .. '_GDL_v09'
	usd.setstatus(script.name)
	local page, badpage, dirUrl

	uri = URI.parse(origUrl)
	origUrl = uri()

	if origUrl:find('/%?404$') then
		usd.setretresult('%notfound%')
		return
	end

	page = usd.get(origUrl)
	debugSaveInc(logpref..'.html', page)

	if usd.getlocation():find('/%?404$') then
		usd.setretresult('%notfound%')
		return
	end


	local function checkError(page)
		local err = page:match("<div class='message t_0'>(.-)</div>")
		if not err then	return end
		if err:find("This file doesn't exist") then
			err = 'notfound%'
		end
		usd.setretresult('%'..err)
		return true
	end

	if checkError(page) then return end

	script.tmp={}

	script.tmp.newName = page:match('<div class="site%-content">%s*<h1>(.-)<')

	local wait = page:match('countdownNum%s*=%s*(%d+)') or page:match('wait_count%s*=%s*(%d+)') or 2
	usd.waittime(wait+2, 2)

	local form = page:match( '<form method="post">.-</form>' )
	form = Form.parse(form)
	page = form:submit()
	debugSaveInc(logpref..'.html', page)

	if checkError(page) then return end

	local n = usd.getheaders():match('%sLocation: (%S+)')
	if n then
		page = usd.get(n)
		debugSaveInc(logpref..'.html', page, 'redirect')
	end

	if checkError(page) then return end

	usd.waittime(2, 2)

	local rUrl = page:match('<a href="([^"]+)" class="download_file_link"')
	rUrl = URI.combine(usd.getlocation(), rUrl)()

	--if rUrl:find('.php%?stream=') then
	--	page = usd.get(rUrl)
	--	debugSaveInc(logpref..'.html', page)
	--	if checkError(page) then return end
	--	dirUrl = page:match('url="(.-)"'):gsub('&amp;','&')
	--else
		debugSaveInc(logpref..'.html', usd.head(rUrl))
		dirUrl = usd.getlocation()
		if dirUrl == origUrl then
			usd.setretresult('%dirUrl not found')
		end
		dirUrl = addNewName(dirUrl, script.tmp.newName)
	--end

	dirUrl = dirUrl:gsub('[\'"]+',''):gsub('%s+','_')

	usd.setretresult(dirUrl, math.random(2,4), 1)
	return
end

function OS(origUrl, dirUrl, fullName)
	logpref = script.name .. '_OS'
	return usd.setretresult(fileRename(fullName, script.tmp.newName))
end

--regDirSuccess( '.putlocker.com/', GDL, OS)
regDirSuccess( '.sockshare.com/', GDL, OS)
