
function GDL(origUrl) 	-- GetDirectLink
	logpref = script.name .. '_GDL_v07'
	usd.setstatus(script.name)

--[[
usdLua_settings.lua:

Settings['vimeo_com'] = { interactive = false, qualityList = {'original', 'hd', 'sd', 'mobile'}, codecList = {'original', 'h264', 'vp8', 'vp6'} }
interactive -   


]]


--http://player.vimeo.com/video/58335679?autoplay=0&title=0&byline=0&wmode=opaque

	local conf = Settings[script.name] or {}
	conf.qualityList = conf.qualityList or {'original', 'hd', 'sd', 'mobile'}
	conf.codecList = conf.codecList or {'original', 'h264', 'vp8', 'vp6'}
	debugLog(serialize(conf))

	local dirUrl, page

	--local exts = { vp8 = '.webm', vp6 = '.flv', h264 = '.mp4' }

	script.tmp={}

	local resume = 0

	--   
	local fmt = string.match(origUrl, '#fmt=(%w+)')
	if fmt then
		fmt = tonumber(fmt) or fmt
		resume = 1
		origUrl = origUrl:match('^([^#]+)')
	end

	local id = origUrl:match('/(%d+)')

	local tmp = 'http://vimeo.com/'..id
	usd.setreferer(tmp)
	page = usd.get(tmp)
	debugSaveInc(logpref..'.html', page)

	if page:find('<h1>%s*Permission Denied') then
		tmp = 'http://player.vimeo.com/video/'..id
		usd.setreferer(tmp)
		page = usd.get(tmp)
		debugSaveInc(logpref..'.html', page)
	end


	if page:find('>This video does not exist.<') then
		usd.setretresult('%notfound%')
		return
	end

	local data = page:match('}catch%(%w+%){}.-=({.+)')
		or page:match(',clip%d+_%d+%s*=.-config:({.-});')
	if not data then
		page = usd.get(entityDecode(page:match('data%-config%-url="([^"]+)"')))
		debugSaveInc(logpref..'.html', page)
		data = page
	end
	data = parseJsObject(data)
	debugSaveInc(logpref..'.html', data and serialize(data,nil,true), nil, false)

    local qData = {}
    local qData2 = {}

	usd.setreferer('http://vimeo.com/'..id)
	setXHR()
	local tmpOrig = usd.get('http://vimeo.com/'..id..'?action=download')
	setXHR(true)
	debugSaveInc(logpref..'.html', tmpOrig)

	if data.request.files and data.request.files.codecs then
		for k, v in pairs(data.request.files.codecs) do
			for kk,vv in pairs(data.request.files[v]) do
				qData[vv.profile] = vv
				qData2[kk] = qData2[kk] or {}
				qData2[kk][v] = vv.profile
			end
		end
	else
		local id = data.video.id
		local sig = data.request.signature
		local time = data.request.timestamp
		local fUrl = 'http://player.vimeo.com/play_redirect?clip_id=%s&sig=%s&time=%s&quality=%s&codecs=%s&type=moogaloop_local&embed_location='
		for k, v in pairs(data.video.profiles) do
			for kk, vv in pairs(v) do
				local video = (fUrl):format(id, sig, time, kk, k)
				debugSaveInc(logpref..'.html', usd.head(video), tostring(vv))
				qData[vv] = {
					  url = usd.getlocation()
					, fileSize = usd.getheaders():match('HTTP/%d%.%d 200 OK') and usd.getheaders():match('Content%-Length: (%d+)') or 0
                    , width = 0
                    , height = 0
				}
				qData2[kk] = qData2[kk] or {}
				qData2[kk][k] = vv
			end
		end
	end

--<a href="http://vimeo.com/59886505/download?t=1390317996&v=156165121&s=de21268f9ef0053708ff2c8ef1418c75" download="the_plan_480x270.mp4" rel="nofollow">Mobile .MP4 file</a>
--<span>(480x270 / 2MB)</span>
--</li>
	for url,res,w,h,size in tmpOrig:gmatch('<li class="iconify_down_b">%s*<a href="([^"]+)"[^>]+>(%w+)[^<]+</a>%s*<span>%((%d+)x(%d+)[^<]+</span>%s*</li>') do
		res=res:lower()
		if not qData2[res] then
			debugSaveInc(logpref..'.html', usd.head(url), res)
			qData2[res] = {[res]=res}
			qData[res]={url = usd.getlocation(), fileSize = size, width = tonumber(w), height = tonumber(h)}
		end
	end


	debugSaveInc(logpref..'.html', serialize({qData2=qData2,qData=qData},nil,true), nil, false)

	local title = utf8ToAnsi(trim(data.video.title or ''))
	if title=='' then title = id end
	script.tmp.newName = title

	if fmt and qData[fmt] then
		--dirUrl = addNewName(dirUrl, title)	--   
		usd.setretresult( qData[fmt].url, 0, resume )
		return
	end

	resume = 0

	if conf.interactive then

		local info = {}

		for k, q in ipairs(conf.qualityList) do
			local profile
			local c
			for kk, vv in ipairs(conf.codecList) do
				profile = qData2[q] and qData2[q][c]
				c=vv
				if profile then break end
			end
			if not profile and qData2[q] then
				local tmpk, tmpv = next(qData2[q])
				if tmpv then profile = qData2[q] and qData2[q][tmpv] end
				c=tmpv
			end
			if profile then
			    local size
			    if qData[profile].fileSize then
			    	size = qData[profile].fileSize
			    else
					debugSaveInc(logpref..'.html', usd.head(qData[profile].url), tostring(profile))
					qData[profile].url = usd.getlocation()
					size = usd.getheaders():match('HTTP/%d%.%d 200 OK') and usd.getheaders():match('Content%-Length: (%d+)')
				end
				size = size and (not tonumber(size) and size:gsub('%a+$','') or string.format('%0.2f', size / 1024 / 1024)) or ' ??????'
				local res = (qData[profile].width or 0)..'x'..(qData[profile].height or 0)
				table.insert(info, ('%s: %s MB  %s  %s  %s'):format(
					  pad(profile, 3, '  ')
					, pad(size, 7, '  ')
	                , pad(res, 9, '  ')
	                , q
	                , c
				))
			end
		end

		data.video = tableCombine({duration=0,width=0,height=0}, data.video)
		local duration = math.floor(data.video.duration / 60).. ':' .. pad(data.video.duration % 60, 2)
		local res = data.video.width .. 'x' .. data.video.height

		local dlg = {
			{duration, res, title}
			, {'__________________________'}
			, {'Select quality:'}
			, {{type='select', name='quality', info }}
		}
		local dlg = Dialog.new(dlg, script.name)
		local q = dlg:show()
		if q == '' then return end		-- esc
		q = q:match('quality=([%d]+)') + 1	--     0
		q = info[tonumber(q)]:match('^%s*(%w+):')
		fmt = tonumber(q) or q
		usd.modquery(origUrl .. '#fmt='..fmt)
		dirUrl = qData[fmt].url --- .. '&title=' .. escapeUC(title)
		--dirUrl = addNewName(dirUrl, title)	--   
		usd.setretresult( dirUrl, 0, resume )
		return
	end

	for k, q in ipairs(conf.qualityList) do
		for kk, c in ipairs(conf.codecList) do
			local profile = qData2[q] and qData2[q][c]
			if profile then
				fmt = profile
				break
			end
		end
		if fmt then break end
    end

	if not fmt then	--   
		fmt = next(qData)
	end

	dirUrl = qData[fmt].url
	usd.modquery(origUrl .. '#fmt='..fmt)
	--dirUrl = addNewName(dirUrl, title)	--   
	usd.setretresult( dirUrl, 0, resume )

end

function OS(origUrl, dirUrl, fullName)
	logpref = script.name .. '_OS'
	return usd.setretresult(fileRename(fullName, script.tmp.newName, script.tmp.newExt or '.mp4'))
end


regDirSuccess( '//vimeo.com/', GDL, OS)
regDirSuccess( '.vimeo.com/', GDL, OS)
