
function GDL(origUrl) 	-- GetDirectLink
	logpref = script.name .. '_GDL_v16'
	usd.setstatus(script.name)

    local dirUrl
    newName = nil
    local uri = URI.parse(origUrl)
    local host = getHost(uri)
	if host=='spaceforfiles.com' then host = 'filespace.com' end
	uri.host = host
	origUrl = uri()

	usd.setstatus(script.name .. ': ' .. host )


    usd.setcookie('lang=english') -- mlfat4arab.com

	--   
	function tryHead(url, tries, strgood, strbad)
		tries = tries or 5  --    
		strgood = strgood or '' --    
		local p
		for i=1, tries do
			debugLog('tryHead attempt '..i)
			p = usd.head(url)
	--debugSaveInc('tryDl_'..i..'.html', p)
			if p:find(strgood) and not (strbad and p:find(strbad)) then
				return p
			end
			usd.waittime(2)
		end
		return nil, p
	end


	local checkDir = function(str)
		--local skiphead = {} -- {'free-uploading.com','potload.com'}
		--local noNewName = tableKeys('verzend.be')
		local forceNewName = tableKeys('zshares.net','zshare.ma')

		if getHost(uri)=='billionuploads.com' then
			str = str:gsub('<object.-</object>','')
		end

		dirUrl = str:match('"direct_link":"(http[^"]+)"')
			or str:match('<a id="lnk_download" href="(http://[^"]+)"')						-- 180upload.com
			or str:match('http://[^/]+/file_download/[^\r\n"]+')
			or str:match('http://[%w.-]+:%d+/[d%d]/[^\r\n"]+')
			or str:match('http://[%w.-]+:?%d-/files/%d/[^\r\n"]+')
			or str:match('http://[%w.-]+/cgi%-bin/dl.cgi[^\r\n"]+')
			or str:match('http://[%w.-]+/free_p/cgi%-bin/%w+/cgi%-bin/uploads/[^\r\n"]+')
			or str:match("<div id='mp3player'>.-so%.addVariable%('file','([^']+)'")			-- cramit.in
			or str:match('http://[%w.-]+/files/dl/[^\r\n"]+') -- ryushare
			or str:match('http://[%w.-]+/d/[^\r\n"]+')		-- hostingbulk.com

		dirUrl = dirUrl and not dirUrl:find('googlecode%.com/') and dirUrl


		if dirUrl then
			dirUrl = URI.recode(dirUrl)
			dirUrl = URI.combine(usd.getlocation(), dirUrl)()
			if not dirUrl:find('/cgi-bin/dl.cgi',1,true) then

				for i=1, 6 do
					debugLog('refresh check '..i)
					dirUrl = URI.combine(usd.getlocation(), dirUrl)()
					usd.head(dirUrl)
			  		debugSaveInc(logpref..'.html', '', 'html?')
					if not usd.getheaders():find('Content-Type:',1,true) then debugLog('No answer?') break end
					local hdr = usd.getheaders():lower()
					if hdr:find('content%-type: [^\r\n]-stream') or hdr:find('content%-length:') then break end
					page = usd.get(dirUrl)
			  		debugSaveInc(logpref..'.html', page or badpage, 'refresh')
--<meta http-equiv="refresh" content="3;url=/d/
			  		dirUrl = page:match(dir) or page:match('"refresh" content="%d+;url=(/d/[^\r\n"]+)')
		  			wait = page:match('"refresh" content="(%d+)')
		  			usd.waittime(wait)
			  		dirUrl = dirUrl or usd.getlocation()
	  			end

				debugSaveInc(logpref..'.html', usd.head(dirUrl))
				if usd.getheaders():lower():find('content-type: text/html',1,true) then return false end
				dirUrl = usd.getlocation()
			end
			local tmp = str:match('<input type="hidden" name="fname" value="([^"]+)"')
				or str:match('<b>Filename:</b></td><td[^>]+>([^<]+)')
				or str:match(' property="og:title" content="([^"]+)"')
				or str:match('<b>Filename:</b></td><td nowrap>([^<]+)</td></tr>')
				or str:match('<img src="../images/download.jpg" align="absbottom" />([^<]-)%s*<')
			newName = newName or (tmp and utf8ToAnsi(tmp))
			if newName
				and (not dirUrl:find('/cgi-bin/dl.cgi',1,true) or forceNewName[getHost(uri)])
				--and not noNewName[getHost(uri)]
				then
				dirUrl = addNewName(dirUrl, newName)
			end
			usd.setretresult(dirUrl, math.random(3,6), 1)
			return true
		end
	end

    origUrl = URI.recode(origUrl, CP_ACP)

	--local page = usd.get(origUrl)
	local page, badpage = tryDl(origUrl, nil, 3, '</[Hh][Tt][Mm][Ll]>')
	debugSaveInc(logpref..'.html', page or badpage, 'p1')
	if badpage then return usd.setretresult('%Bad page?') end
	origUrl = usd.getlocation()

	if not page:find('<[Ff]orm') and page:find('</[hH][tT][mM][lL]>')
		and (page:find('id="foot') 	or page:lower():find('premium') or page:lower():find('dmca') )
		or usd.getheaders():find('404 Not Found',1,true)
		then
		usd.setretresult('%notfound%')
		return
	end

	local wrongIP = 0

	local checkError = function(str)

		if str:find('storebox%d*%.info')
			or str:find('[./%s]ncdownloader%.com')
			or str:find('[./%s]down1oads%.com')
			or str:find('/91.205.157.43/',1,true)
			or str:find('1clickmoviedownloader',1,true)
			or str:find('smarterdownloader.com',1,true)
			or str:find('sharebeast_downloader')
			then
			local msg = getHost(usd.getlocation())..': Trojan accelerator detected!'
			usd.setstatus(msg)
			usd.savetolog(msg)
		end

		str = str:gsub('<font style="visibility:hidden">.-</font>','')	-- kingfiles.net

		local _, err = str:match('<(%a+) class="err"[^>]->(.-)</%1>')
		err = err or str:match('>Error</td></tr>%s*<tr><td align=center>%s*<font style="color:#d33;">(.-)</font>')	-- sinhro.net
			or str:match('<div class="alert alert%-error">(.-)</div>')		-- megaload.it
			or str:match('<span style="color:#666666;">Reason:%s*([^<]+)')	-- filemates.com
			or str:match('>%s*(You need to upgrade to Premium to download this file)') -- filemates.com
			or str:match('<Center><b>(This file is available for Premium Users only.)</b>') -- cloudnes.com
			or str:match('<Center><b>(Due the high load.-)</b>')	-- fireget.com
			or str:match('<div class="templates">%s*<br><br>%s*<h1><b>(.-)</b></h1><br><br>') -- billionuploads.com
			or str:match('>File Not Found<')
			or str:match('>The file was removed')
			or str:match('>The file was deleted')
			or str:match('>No such file with this filename<')					-- oteupload
			or str:match('<span[^>]-class="premiumonlyfile">.-</span>')			-- oteupload
			or str:match('<div class="content">%s*Reason for deletion :')		-- secureupload.eu
			or str:match('<h2 class="file">File: <span> </span>[]</h2>',1,true) -- lumfile
			or str:match('You have to wait %d+ minutes, %d+ seconds till next download')
			or str:match('<div[^>]-id="not%-found"[^>]+>([^<]+)')
		if not err or trim(err)=='' then return end

		err = err:gsub('<[^>]+>',' '):gsub('^%s*(.-)%s*$','%1'):gsub('%s+',' '):lower()

		if err:find('wrong ip address') and wrongIP < 2 then	-- junocloud.me
			wrongIP = wrongIP + 1
			return
		end

		debugLog('err: '..err)
		local h = err:match('%s(%d+) hour') or 0
		local m = err:match('%s(%d+) minute') or 0
		local s = err:match('%s(%d+) second') or 0
		local count = (h*60+m)*60+s
		if count > 0 then
			usd.setretresult('%Server report: You need wait ' .. count .. ' seconds')
			--return err ~= 'Wrong captcha'
			return true
		end

		if err:find('file not found')
			or err:find('file is not found')
			or err:find('file was deleted')
			or err:find('file was removed')
			or err:find('reason for deletion')
			or err:find('file: []',1,true)					-- lumfile
			or err:find('content copyright restriction')
			or err:find('no such file with this filename')
			or err:find('premium to download')
			or err:find('for premium users only')
			or err:find('only for premium')
			or err:find('uploader set max file size for free use can download')
			then
			usd.setretresult('%notfound%')
			return true
		end

		if err:find('register or login for faster download') then -- hulkfile.eu
			return false
		end

		usd.setretresult('%'..err)
		return not err:find('captcha')
	end

	if checkError(page) then return end

	local wait = page:find('setTimeout') and (
		page:match('id="countdown_str".->(%d+)<')
		or page:match('>%s*seconds%s*=%s*(%d+);')
		) or 0
	usd.waittime(wait+3, 3)

	if checkDir(page) then  return  usd.waittime(wait+3, 3)  end

	page = page:gsub('<!%-%-[^-].-%-%->','')	-- megacache.net

	local form

-- zshares.net
	if not form then for f in page:gmatch('<[Ff]orm.-</[Ff]orm>') do if f:find('method_free') and f:find('download1') then form = f; break end end end

	if not form then for f in page:gmatch('<[Ff]orm.-</[Ff]orm>') do if f:find('method_free') then form = f; break end end end

-- filebox.com
	if not form then for f in page:gmatch('<[Ff]orm.-id="btn_download"[^>]->') do if f:find('method_free') then form = f .. '</form>'; break end end end
-- 247upload.com
	if not form then for f in page:gmatch('<[Ff]orm.-name="method_free".->') do if f:find('method_free') then form = f .. '</form>'; break end end end
-- cramit.in
	if not form then for f in page:gmatch('<[Ff]orm.-</[Ff]orm>') do if f:find('download1') then form = f; break end end end

	local RCkey = page:match('/challenge%?k=([^"]+)')
	local SMkey = page:match('http://api.solvemedia.com/papi/challenge.[no]-script%?k=([^"]+)')

	if form and not (RCkey or SMkey) then
		form = form:gsub("''\"","''")
		form = Form.parse(form)
		if form.inputs.id=='' then
			usd.setretresult('%notfound%')
			return
		end

		form.action = URI.combine(origUrl, form.action or '')()
		form.submits.method_premium = nil

		local fname = page:match("%$%('input%[name=\"fname\"%]'%).attr%('value',%s*'(.-)'%)")
		if fname then form.inputs.fname = fname end -- glumbouploads
		newName = form.inputs.fname and utf8ToAnsi(form.inputs.fname) or newName

		usd.waittime(3, 3)
		usd.relocationmode(0)

		page = form:submit(form.submits.method_free and 'method_free' or nil)
		debugSaveInc(logpref..'.html', page or badpage, 'method_free')
		if badpage then return usd.setretresult('%Bad page?') end

		usd.waittime(3, 2)
	end

	RCkey = page:match('/challenge%?k=([^"]+)')
	SMkey = page:match('http://api.solvemedia.com/papi/challenge.[no]-script%?k=([^"]+)')

	for i=1, (RCkey or SMkey) and 1 or captchaAttempts do


		if checkError(page) or checkDir(usd.getheaders() .. page) then return end

		wait = page:find('setTimeout') and (
			page:match('id="countdown_str".->%s*(%d+)%s*<')
			or (page:match('<div id="countdownContainer">.-</div>') or ''):match('<span[^>]+>(%d+)</span>')
			or 60 ) or 0
		--if origUrl:find('[./]ryushare.com/') then  wait = wait+30  end
		usd.waittime(wait+5, 4)

		page = page:gsub('<!%-%-[^-].-%-%->','')	-- megacache.net

  		form = page:match('<[Ff]orm name="F1".-</[Ff]orm>')
  			or page:match('<[Ff]orm name="F1".-"submit"[^>]+>')
		if form then
			form = form..'</form>'
		else
			for f in page:gmatch('<[Ff][oO][rR][mM].-</[Ff][oO][rR][mM]>') do
				if f:find('method_free') then
					form=f
					break
				end
			end
		end

		local code = form:match("<div style='width:80px;.-(<span.-)</div>")
		local captcha = form:match('src="([^"]-captcha[^"]+)"')
		captcha = captcha and not captcha:find('/recaptcha/') and captcha

		form = Form.parse(form)
		form.action = URI.combine(origUrl, form.action or '')()
		form.submits.method_premium = nil

		if host=='filespace.com' then
			form.action = form.action..'?accounttype=free'
		end

		if code then
			local tmp = {}
			code:gsub("<span.-left:(%d+).->&#(%d+);</span>", function(l,n) tmp[tonumber(l)]=string.char(n) end)
			for j=0, table.maxn(tmp) do
				if tmp[j] then
					form.inputs.code = form.inputs.code .. tmp[j]
				end
			end
		end

		if RCkey then
			form.inputs.recaptcha_response_field
				, _, form.inputs.recaptcha_challenge_field
					= queryReCaptcha(RCkey, 0, nil, nil, nil, true)
		elseif SMkey then
			form.inputs.adcopy_response
				, _, form.inputs.adcopy_challenge
					= querySolvemedia(SMkey, 0, nil, nil, nil, true)
		elseif captcha then
			form.inputs.code = queryCaptcha(captcha)
		end


		-- uptobox
		usd.relocationmode(0)
		page = form:submit(form.submits.method_free and 'method_free' or nil)
		debugSaveInc(logpref..'.html', page, code and 'captcha')
		if checkError(page) or checkDir(usd.getheaders() .. page) then return end

		local _ = page:match("function countDown%(%).-$%.getJSON%('([^']+)'")
		if _ then
			wait = page:match('id="countdown_str".->(%d+)<')
				or (not page:find('setTimeout') and 0)	-- sendmyway
				or 60
			usd.waittime(wait+2, 4)
			setXHR()
			page, badpage = tryDl(_, nil, nil, '}')
			debugSaveInc(logpref..'.html', page or badpage)
			setXHR(true)
			if badpage then return usd.setretresult('%Bad page?') end
		end

	end

	if checkError(page) or checkDir(usd.getheaders() .. page) then return end

	debugLog('err')
	local err = page:match('"msg":"([^"]+)"') or page:match('class="err">([^<]+)<') or 'plugindefect'
	return usd.setretresult('%'..err)

end

function OS(origUrl, dirUrl, fullName)
	logpref = script.name .. '_OS'
	return usd.setretresult(fileRename(fullName, newName))
end

--function OE(dirUrl, errMsg, data)
--	if data == 'No file' then usd.setretresult(0) end
--end
--regCheckError('zshare.ma/cgi-bin/dl.cgi', nil, OE)

--     

regDirSuccess( {'//uptobox.com/', '.uptobox.com/'}, GDL, OS)
regDirSuccess( {'//sinhro.net/', '.sinhro.net/'}, GDL, OS)
regDirSuccess( 'free-uploading.com/', GDL, OS)
regDirSuccess( 'files2upload.net/', GDL, OS)
regDirSuccess( 'ryushare.com/', GDL, OS)
regDirSuccess( 'verzend.be/', GDL, OS)
regDirSuccess( 'zomgupload.com/', GDL, OS)
regDirSuccess( {'//hipfile.com/', '.hipfile.com/'}, GDL, OS)
regDirSuccess( {'.zshare.ma/', '//zshare.ma/', '.zshares.net/', '//zshares.net/'}, GDL, OS)
regDirSuccess( {'//amonshare.com/','.amonshare.com/'}, GDL, OS)
regDirSuccess( 'sendmyway.com/', GDL, OS)
regDirSuccess( 'cyberlocker.ch/', GDL, OS)
regDirSuccess( 'rockdizfile.com/', GDL, OS)
regDirSuccess( 'uploadbaz.com/', GDL, OS)
regDirSuccess( 'hostinoo.com/', GDL, OS)
regDirSuccess( 'hostingbulk.com/', GDL, OS)
regDirSuccess( {'.rodfile.com/', '//rodfile.com/'}, GDL, OS)
regDirSuccess( {'.filebox.com/', '//filebox.com/'}, GDL, OS)
regDirSuccess( {'.tusfiles.net/', '//tusfiles.net/'}, GDL, OS)
regDirSuccess( {'.uplly.com/','//uplly.com/'}, GDL, OS)
regDirSuccess( 'nosupload.com/', GDL, OS)
regDirSuccess( 'unlimitshare.com/', GDL, OS)
regDirSuccess( '//share.nnov.org/', GDL, OS)
regDirSuccess( {'//hulkfile.eu/', '.hulkfile.eu/', '//w.hulkfile.com/'}, GDL, OS)
regDirSuccess( '//potload.com/', GDL, OS)
regDirSuccess( '//filegag.com/', GDL, OS)
regDirSuccess( '//cepzo.com/', GDL, OS)
regDirSuccess( '//filewe.com/', GDL, OS)
regDirSuccess( '//galaxy-file.com/', GDL, OS)
regDirSuccess( 'cloudnes.com/', GDL, OS)
regDirSuccess( 'shareblue.eu/', GDL, OS)
regDirSuccess( '//mightyupload.com/', GDL, OS)
regDirSuccess( '//davvas.com/', GDL, OS)
regDirSuccess( '//junocloud.me/', GDL, OS)
regDirSuccess( '//4upfiles.com/', GDL, OS)
regDirSuccess( 'oteupload.com/', GDL, OS)
regDirSuccess( {'.nirafile.com/', '//nirafile.com/'}, GDL, OS)
regDirSuccess( 'sharemods.com/', GDL, OS)
regDirSuccess( '//usefile.com/', GDL, OS)
regDirSuccess( '//exclusiveloader.com/', GDL, OS)
regDirSuccess( '//filemoney.com/', GDL, OS )
regDirSuccess( 'arabloads.net/', GDL, OS )
regDirSuccess( '//cloudyvideos.com/', GDL, OS )
regDirSuccess( '//longfiles.com/', GDL, OS )

--  

regDirSuccess( '//cramit.in/', GDL, OS)
regDirSuccess( '//cramitin.net/', GDL, OS)
regDirSuccess( '//cramitin.us/', GDL, OS)
regDirSuccess( '//cramitin.eu/', GDL, OS)
regDirSuccess( 'mlfat4arab.com/', GDL, OS)
regDirSuccess( 'secureupload.eu/', GDL, OS)
regDirSuccess( '//fileom.com/', GDL, OS)
regDirSuccess( '.oleup.com/', GDL, OS )
regDirSuccess( 'tuxfile.com/', GDL, OS )


--  

regDirSuccess( '//fireget.com/', GDL, OS)
regDirSuccess( '//megaload.it/', GDL, OS)
regDirSuccess( {'//bitbull.me/', '.bitbull.me/'}, GDL, OS)
regDirSuccess( 'dynaupload.com/', GDL, OS)
regDirSuccess( 'filefolks.com/', GDL, OS)
regDirSuccess( '//megacache.net/', GDL, OS)
regDirSuccess( {'.blitzfiles.com/','//blitzfiles.com/'}, GDL, OS)
regDirSuccess( {'.filestay.com/','//filestay.com/'}, GDL, OS)
regDirSuccess( {'.hotfiles.ws/', '//hotfiles.ws/'}, GDL, OS)
regDirSuccess( {'//lumfile.com/', '.lumfile.com/'}, GDL, OS)
regDirSuccess( 'hellupload.com/', GDL, OS)
regDirSuccess( '247upload.com/', GDL, OS)
regDirSuccess( 'henchfile.com/', GDL, OS)
regDirSuccess( 'ishareupload.com/', GDL, OS)
regDirSuccess( 'filesbomb.com/', GDL, OS)
regDirSuccess( 'queenshare.com/', GDL, OS)
regDirSuccess( '//hugefiles.net/', GDL, OS)
regDirSuccess( '//upafile.com/', GDL, OS)
regDirSuccess( 'filebulk.com/', GDL, OS)
regDirSuccess( '//terafile.co/', GDL, OS)
regDirSuccess( '.hugefiles.net/', GDL, OS)
regDirSuccess( '//megairon.net/', GDL, OS)
regDirSuccess( '.anafile.com/', GDL, OS)
regDirSuccess( '//lafile.com/', GDL, OS)

-- solvemedia

regDirSuccess( {'//180upload.com/', '.180upload.com/'}, GDL, OS)
regDirSuccess( '//nornar.com/', GDL, OS)
regDirSuccess( '//unlimitzone.com/', GDL, OS)
regDirSuccess( '.kingfiles.net/', GDL, OS)
regDirSuccess( '//fileparadox.in/', GDL, OS)
regDirSuccess( {'spaceforfiles.com/', 'filespace.com/'}, GDL, OS )
